summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Petar Petrov2018-01-12 21:54:03 +0100
committer Willy Sudiarto Raharjo2018-01-13 01:13:04 +0100
commit3f6353744da1cbb699baab579305cf4b1501377c (patch)
tree00a8423e779686c0fdb9fa7a3759889671384652
parent2ae24aff5ecd18bcd9990b6bc185006de295197f (diff)
downloadslackbuilds-3f6353744da1cbb699baab579305cf4b1501377c.tar.gz
academic/ncbi-rmblastn: Added (NCBI RMBlast).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--academic/ncbi-rmblastn/README13
-rw-r--r--academic/ncbi-rmblastn/ncbi-rmblastn.SlackBuild80
-rw-r--r--academic/ncbi-rmblastn/ncbi-rmblastn.info10
-rw-r--r--academic/ncbi-rmblastn/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/academic/ncbi-rmblastn/README b/academic/ncbi-rmblastn/README
new file mode 100644
index 0000000000..b203d952fa
--- /dev/null
+++ b/academic/ncbi-rmblastn/README
@@ -0,0 +1,13 @@
+RMBlast is a RepeatMasker compatible version of the standard NCBI BLAST
+suite. The primary difference between this distribution and the NCBI
+distribution is the addition of a new program "rmblastn" for use with
+RepeatMasker and RepeatModeler.
+
+RMBlast supports RepeatMasker searches by adding a few necessary
+features to the stock NCBI blastn program. These include:
+
+- Support for custom matrices ( without KA-Statistics )
+- Support for cross_match-like complexity adjusted scoring
+ (Cross_match is Phil Green's seeded smith-waterman search algorithm:
+ www.phrap.org )
+- Support for cross_match-like masklevel filtering.
diff --git a/academic/ncbi-rmblastn/ncbi-rmblastn.SlackBuild b/academic/ncbi-rmblastn/ncbi-rmblastn.SlackBuild
new file mode 100644
index 0000000000..b78a2be545
--- /dev/null
+++ b/academic/ncbi-rmblastn/ncbi-rmblastn.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for ncbi-rmblastn
+
+# Copyright 2018 Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ncbi-rmblastn
+VERSION=${VERSION:-2.2.28}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i386 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+# Determine the binary arch
+if [ "$ARCH" = "x86_64" ]; then
+ BINARCH="x64"
+else
+ BINARCH="ia32"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-$BINARCH-linux.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd bin
+install -D -m755 rmblastn $PKG/usr/bin/rmblastn
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/ncbi-rmblastn/ncbi-rmblastn.info b/academic/ncbi-rmblastn/ncbi-rmblastn.info
new file mode 100644
index 0000000000..b1daee632b
--- /dev/null
+++ b/academic/ncbi-rmblastn/ncbi-rmblastn.info
@@ -0,0 +1,10 @@
+PRGNAM="ncbi-rmblastn"
+VERSION="2.2.28"
+HOMEPAGE="ftp://ftp.ncbi.nlm.nih.gov/blast/executables/rmblast/"
+DOWNLOAD="ftp://ftp.ncbi.nlm.nih.gov/blast/executables/rmblast/2.2.28/ncbi-rmblastn-2.2.28-ia32-linux.tar.gz"
+MD5SUM="9e78451a710b668d81e5cd8573fa7303"
+DOWNLOAD_x86_64="ftp://ftp.ncbi.nlm.nih.gov/blast/executables/rmblast/2.2.28/ncbi-rmblastn-2.2.28-x64-linux.tar.gz"
+MD5SUM_x86_64="b668b3c5869cd7cdde5d44463c8417f9"
+REQUIRES="ncbi-blast-plus"
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/academic/ncbi-rmblastn/slack-desc b/academic/ncbi-rmblastn/slack-desc
new file mode 100644
index 0000000000..f3a664b73d
--- /dev/null
+++ b/academic/ncbi-rmblastn/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ncbi-rmblastn: ncbi-rmblastn (NCBI RMBlast)
+ncbi-rmblastn:
+ncbi-rmblastn: RMBlast supports RepeatMasker searches by adding a few necessary
+ncbi-rmblastn: features to the stock NCBI blastn program. These include:
+ncbi-rmblastn:
+ncbi-rmblastn: Support for custom matrices ( without KA-Statistics )
+ncbi-rmblastn: Support for cross_match-like complexity adjusted scoring
+ncbi-rmblastn: Support for cross_match-like masklevel filtering
+ncbi-rmblastn:
+ncbi-rmblastn:
+ncbi-rmblastn: